using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class NwindConfiger 
	{

		 static Daolite.Configer _configer;


		 static string _FilePath;

		public  static string FilePath{
			get { return _FilePath; }
			set { _FilePath = value; }
		}


		 static string _Password;

		public  static string Password{
			get { return _Password; }
			set { _Password = value; }
		}


		public static Daolite.Configer GetConfiger()
		{
			if (_configer == null)
				 _configer = Daolite.Configer.CreateForAccess(FilePath, Password);
			return _configer;
		}


	}
}
